Description

Two help icons next to each other look strange in IDE bar...

In ide/idebar.cpp (line 574):

menu.Add(AK_BROWSETOPICS_WIN, IdeImg::help(), THISBACK(ShowTopicsWin));

Should be

menu.Add(AK_BROWSETOPICS_WIN, THISBACK(ShowTopicsWin));

History

#1 - 06/23/2014 08:49 PM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#2 - 06/24/2014 04:27 PM - Zbigniew Rebacz

- File ide.iml added

- File IdeBarUpdate.png added

- File IdeBarUpdate.png added

- Status changed from Ready for QA to Patch ready

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

I think we can make more accurete icon to this situation. The task here is to show that help is really in separate window. I made two new icons "help_win" &

"help_win_large".

If you decided to aprrove this solution you will also need to patch ide/Help.cpp (Here we need to add support for new icons normal & large to help window):

void Ide::ShowTopicsWin()

{

    windoc.Icon(IdeImg::help_win(), IdeImg::help_win_large());

    if(windoc.IsOpen())

        windoc.SetForeground();

    else {

        windoc.SyncDocTree();

        windoc.GoTo(sTopicHome);

        windoc.OpenMain();
    }

}

P.S.

I am sure that ShowTopicsWin is not the best place for setting icon for window. In my opinion we should set icon, only once per window life.

#3 - 06/25/2014 08:36 AM - Miroslav Fidler

- Status changed from Patch ready to Approved
